/*
Copyright (c) 2005-2010 TeamF1, Inc.
All rights reserved.
*/
/* router_statistics.htm */

var refreshDelay = 5;
var counterValue = 5;
var routerStartsRefresh = true;
var oldInterval = 5;
var timerId = null;
timerId = setTimeout ("routerStatsRefresh ()", 1000);
function routerStatsRefresh ()
	{
   	if (!routerStartsRefresh)
		return;
    --counterValue;
    if (timerId)
        clearTimeout(timerId)
    if (counterValue == 0)
        {
        var pollIntervalObj =  document.getElementById('txtPollInterval');
        pollIntervalObj.disabled = false;
        document.frmRouterStats.submit ();
        return;
        }
    refreshTime.innerHTML = counterValue;
    timerId = setTimeout ("routerStatsRefresh ()", 1000);
    }
function pollIntervalCheck ()
	{
    var pollIntervalObj =  document.getElementById('txtPollInterval');
    if  (!pollIntervalObj)
    	return;
    var interval = parseInt (pollIntervalObj.value, 10);
    if (interval < 1 || interval > 99)
    	{
    	alert ('Invalid poll interval value: Please enter value between 1 - 99 seconds');
    	pollIntervalObj.value = oldInterval;
    	pollIntervalObj.focus ();
    	pollIntervalObj.select ();
    	return false;
    	}
    return true;
    }
function routerStatsPollIntervalSet ()
    {
    oldInterval = refreshDelay;
    var pollIntervalObj =  document.getElementById('txtPollInterval');
    if  (!pollIntervalObj)
    	return;
    refreshDelay = parseInt (pollIntervalObj.value, 10);
	if (isNaN(refreshDelay) || refreshDelay == 0)
		{
        refreshDelay = 5;
        pollIntervalObj.value = refreshDelay;
        }
    if (pollIntervalCheck () == false)
    	return;
    routerStartsRefresh = true;
	if (timerId)
		clearTimeout(timerId);
    var counterMsg = 'The page will auto-refresh in <label id="refreshTime">' +
                     refreshDelay + '</label> seconds'; 
    infoMsg.innerHTML = counterMsg;
    counterValue = refreshDelay;
    timerId = setTimeout ("routerStatsRefresh ()", 1000);
    pollIntervalObj.disabled = true;
	var btImgSetIntervalObj= document.getElementById ('btImgSetInterval');
	if (!btImgSetIntervalObj) return;
	var btImgStopObj= document.getElementById ('btImgStop');
	if (!btImgStopObj) return;
    btImgSetIntervalObj.src = "images/button_setinterval_dis.gif"
	btImgSetIntervalObj.onclick = function () {return false;};
	btImgStopObj.src = "images/button_stop2.gif"
    btImgStopObj.onclick = routerStatsPollIntervalStop;
    }
function routerStatsPollIntervalStop ()
	{
	if (timerId)
		clearTimeout(timerId);
    routerStartsRefresh = false;
    infoMsg.innerHTML = '';
    var pollIntervalObj =  document.getElementById('txtPollInterval');
    pollIntervalObj.disabled = false;
	var btImgSetIntervalObj= document.getElementById ('btImgSetInterval');
	if (!btImgSetIntervalObj) return;
	var btImgStopObj= document.getElementById ('btImgStop');
	if (!btImgStopObj) return;
    btImgSetIntervalObj.src = "images/button_setinterval.gif"
	btImgSetIntervalObj.onclick = routerStatsPollIntervalSet;
	btImgStopObj.src = "images/button_stop2_dis.gif"
	btImgStopObj.onclick = function () {return false;};
	}
